std::bad_weak_ptr Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::bad_weak_ptr:
[legend]

## Public Member Functions

virtual char const * | what () const noexcept

## Detailed Description

Exception possibly thrown by `shared_ptr`.

Definition at line 73 of file shared_ptr_base.h.

## Member Function Documentation

## what()

virtual char const* std::bad_weak_ptr::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- shared_ptr_base.h